/*****************************************************************************
*           Change Log
*  Date     | Change
*-----------+-----------------------------------------------------------------
*  1-Nov-03 | Created
*  1-Nov-03 | REQ #253: Had to make OnDropdown use _EX form
*  2-Nov-03 | REQ #265: Requires adding DECLARE_DYNAMIC
*****************************************************************************/
#ifndef __SMARTDROPDOWN_H__
#define __SMARTDROPDOWN_H__

// SmartDropdown.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CSmartDropdown window

class CSmartDropdown : public CComboBox
{
    DECLARE_DYNAMIC(CSmartDropdown)                                 // REQ #265
// Construction
public:
	CSmartDropdown();

// Attributes
public:
        int maxlen;  // maximum number of items displayed
                     // 0 - no limit
                     // -1 - limit to screen height (NYI)

// Operations
public:
   int Select(DWORD itemval);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSmartDropdown)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CSmartDropdown();

	// Generated message map functions
protected:
        afx_msg BOOL OnDropdown();                                  // REQ #253
	//{{AFX_MSG(CSmartDropdown)
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

#endif //__SMARTDROPDOWN_H__
